package com.ywt.outpatient.taihe.rpc.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * (RegisteredOrder)实体类
 *
 * @author johnson lin
 * @since 2019-05-15 15:40:20
 */
@Entity
@Table(name = "registered_order")
public class RegisteredOrder implements Serializable {
    private static final long serialVersionUID = -47149612898406801L;
    
       /**
    * 主键
    */
    @Id
    @Column(name = "id")
    private Integer id;
    
    @Column(name = "user_id")
    private Integer userId;
    
    /**
     * 医院Id
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;
    
    /**
     * 医院名称
     */
    @Column(name = "hospital_name")
    private String hospitalName;
    
    /**
     * 科室Id
     */
    @Column(name = "dept_id")
    private Integer deptId;
    
    /**
     * 医生Id
     */
    @Column(name = "doctor_id")
    private Integer doctorId;
    
    /**
     * 医生姓名
     */
    @Column(name = "doctor_name")
    private String doctorName;
    
    /**
     * 费用（以分为单位）
     */
    @Column(name = "total")
    private Integer total;
    
    /**
     * 预约日期
     */
    @Column(name = "registered_date")
    private LocalDate registeredDate;
    
    /**
     * 预约时间段
     */
    @Column(name = "registered_period")
    private Integer registeredPeriod;
    
    /**
     * 分时开始时间，格式：HH:MI
     */
    @Column(name = "start_time")
    private String startTime;
    
    /**
     * 分时结束时间，格式：HH:MI
     */
    @Column(name = "end_time")
    private String endTime;
    
    /**
     * HIS系统就诊人Id
     */
    @Column(name = "his_patient_id")
    private String hisPatientId;
    
    /**
     * 就诊卡Id
     */
    @Column(name = "medical_card_id")
    private Integer medicalCardId;
    
    /**
     * 就诊人
     */
    @Column(name = "patient_name")
    private String patientName;
    
    /**
     * 支付方式
     */
    @Column(name = "payment_channel")
    private Integer paymentChannel;
    
    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted")
    private Boolean deleted;
    
    /**
     * 修改时间
     */
    @Column(name = "update_time")
    private LocalDateTime updateTime;
    
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private LocalDateTime createTime;
    
    /**
     * 门诊排班项记录标识
     */
    @Column(name = "schedule_item_code")
    private String scheduleItemCode;
    
    /**
     * 医生编号
     */
    @Column(name = "doctor_code")
    private String doctorCode;
    
    /**
     * 预约科室编号
     */
    @Column(name = "dept_code")
    private String deptCode;
    
    /**
     * 预约科室名称
     */
    @Column(name = "dept_name")
    private String deptName;
    
    /**
     * 挂号费
     */
    @Column(name = "registered_fee")
    private Integer registeredFee;
    
    /**
     * 诊疗费
     */
    @Column(name = "medical_fee")
    private Integer medicalFee;
    
    /**
     * 支付状态
     */
    @Column(name = "payment_status")
    private Integer paymentStatus;
    
    /**
     * 挂号订单状态
     */
    @Column(name = "registered_status")
    private Integer registeredStatus;
    
    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;
    
    /**
     * 预约单号
     */
    @Column(name = "his_order_code")
    private String hisOrderCode;
    
    /**
     * 挂号序号
     */
    @Column(name = "his_seq_code")
    private String hisSeqCode;
    
    /**
     * 挂号费
     */
    @Column(name = "his_reg_fee")
    private String hisRegFee;
    
    /**
     * 就诊时间段
     */
    @Column(name = "his_admit_range")
    private String hisAdmitRange;
    
    /**
     * 就诊地点
     */
    @Column(name = "his_admit_address")
    private String hisAdmitAddress;
    
    /**
     * 预约单内容
     */
    @Column(name = "his_order_content")
    private String hisOrderContent;
    
    /**
     * 交易流水号
     */
    @Column(name = "his_transaction_id")
    private String hisTransactionId;
    
    /**
     * 诊断号
     */
    @Column(name = "his_clinic_code")
    private String hisClinicCode;
    
    /**
     * 订单来源
     */
    @Column(name = "source")
    private Integer source;
    
    @Column(name = "patient_sex")
    private Integer patientSex;
    
    /**
     * 医生职称
     */
    @Column(name = "doctor_title")
    private String doctorTitle;
    
    /**
     * 微信商户Id
     */
    @Column(name = "wx_merchant_id")
    private String wxMerchantId;
    
    /**
     * 内部支付实现唯一编码
     */
    @Column(name = "wx_internal_pay_no")
    private String wxInternalPayNo;
    
    /**
     * 微信支付订单号
     */
    @Column(name = "wx_transaction_id")
    private String wxTransactionId;
    
    /**
     * 2-加号预约 1或其他-普通预约
     */
    @Column(name = "registered_type")
    private Integer registeredType;
    
    /**
     * 加号标识Id
     */
    @Column(name = "flag_id")
    private Integer flagId;
    
    @Column(name = "payment_no")
    private String paymentNo;
    
    /**
     * 退款状态
     */
    @Column(name = "refund_status")
    private Integer refundStatus;
    
    /**
     * 退款时间
     */
    @Column(name = "refund_time")
    private LocalDateTime refundTime;
    
    /**
     * 退款流水号
     */
    @Column(name = "refund_no")
    private String refundNo;
    
    /**
     * 退款回调时间
     */
    @Column(name = "refund_callback_time")
    private String refundCallbackTime;
    
    /**
     * 订单ID
     */
    @Column(name = "order_id")
    private Integer orderId;
    
    /**
     * 订单编码
     */
    @Column(name = "order_no")
    private String orderNo;
    
    /**
     * 支付时间
     */
    @Column(name = "payment_time")
    private LocalDateTime paymentTime;
    
    /**
     * 诊疗卡号
     */
    @Column(name = "medical_card_no")
    private String medicalCardNo;
    
    /**
     * 后台取消预约时填写的备注
     */
    @Column(name = "cancel_remark")
    private String cancelRemark;

    @Column(name = "sub_hospital_id")
    private Integer subHospitalId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public Integer getDeptId() {
        return deptId;
    }

    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public LocalDate getRegisteredDate() {
        return registeredDate;
    }

    public void setRegisteredDate(LocalDate registeredDate) {
        this.registeredDate = registeredDate;
    }

    public Integer getRegisteredPeriod() {
        return registeredPeriod;
    }

    public void setRegisteredPeriod(Integer registeredPeriod) {
        this.registeredPeriod = registeredPeriod;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getHisPatientId() {
        return hisPatientId;
    }

    public void setHisPatientId(String hisPatientId) {
        this.hisPatientId = hisPatientId;
    }

    public Integer getMedicalCardId() {
        return medicalCardId;
    }

    public void setMedicalCardId(Integer medicalCardId) {
        this.medicalCardId = medicalCardId;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public Integer getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(Integer paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getScheduleItemCode() {
        return scheduleItemCode;
    }

    public void setScheduleItemCode(String scheduleItemCode) {
        this.scheduleItemCode = scheduleItemCode;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Integer getRegisteredFee() {
        return registeredFee;
    }

    public void setRegisteredFee(Integer registeredFee) {
        this.registeredFee = registeredFee;
    }

    public Integer getMedicalFee() {
        return medicalFee;
    }

    public void setMedicalFee(Integer medicalFee) {
        this.medicalFee = medicalFee;
    }

    public Integer getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(Integer paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public Integer getRegisteredStatus() {
        return registeredStatus;
    }

    public void setRegisteredStatus(Integer registeredStatus) {
        this.registeredStatus = registeredStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getHisOrderCode() {
        return hisOrderCode;
    }

    public void setHisOrderCode(String hisOrderCode) {
        this.hisOrderCode = hisOrderCode;
    }

    public String getHisSeqCode() {
        return hisSeqCode;
    }

    public void setHisSeqCode(String hisSeqCode) {
        this.hisSeqCode = hisSeqCode;
    }

    public String getHisRegFee() {
        return hisRegFee;
    }

    public void setHisRegFee(String hisRegFee) {
        this.hisRegFee = hisRegFee;
    }

    public String getHisAdmitRange() {
        return hisAdmitRange;
    }

    public void setHisAdmitRange(String hisAdmitRange) {
        this.hisAdmitRange = hisAdmitRange;
    }

    public String getHisAdmitAddress() {
        return hisAdmitAddress;
    }

    public void setHisAdmitAddress(String hisAdmitAddress) {
        this.hisAdmitAddress = hisAdmitAddress;
    }

    public String getHisOrderContent() {
        return hisOrderContent;
    }

    public void setHisOrderContent(String hisOrderContent) {
        this.hisOrderContent = hisOrderContent;
    }

    public String getHisTransactionId() {
        return hisTransactionId;
    }

    public void setHisTransactionId(String hisTransactionId) {
        this.hisTransactionId = hisTransactionId;
    }

    public String getHisClinicCode() {
        return hisClinicCode;
    }

    public void setHisClinicCode(String hisClinicCode) {
        this.hisClinicCode = hisClinicCode;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Integer getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(Integer patientSex) {
        this.patientSex = patientSex;
    }

    public String getDoctorTitle() {
        return doctorTitle;
    }

    public void setDoctorTitle(String doctorTitle) {
        this.doctorTitle = doctorTitle;
    }

    public String getWxMerchantId() {
        return wxMerchantId;
    }

    public void setWxMerchantId(String wxMerchantId) {
        this.wxMerchantId = wxMerchantId;
    }

    public String getWxInternalPayNo() {
        return wxInternalPayNo;
    }

    public void setWxInternalPayNo(String wxInternalPayNo) {
        this.wxInternalPayNo = wxInternalPayNo;
    }

    public String getWxTransactionId() {
        return wxTransactionId;
    }

    public void setWxTransactionId(String wxTransactionId) {
        this.wxTransactionId = wxTransactionId;
    }

    public Integer getRegisteredType() {
        return registeredType;
    }

    public void setRegisteredType(Integer registeredType) {
        this.registeredType = registeredType;
    }

    public Integer getFlagId() {
        return flagId;
    }

    public void setFlagId(Integer flagId) {
        this.flagId = flagId;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public LocalDateTime getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(LocalDateTime refundTime) {
        this.refundTime = refundTime;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    public String getRefundCallbackTime() {
        return refundCallbackTime;
    }

    public void setRefundCallbackTime(String refundCallbackTime) {
        this.refundCallbackTime = refundCallbackTime;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public LocalDateTime getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(LocalDateTime paymentTime) {
        this.paymentTime = paymentTime;
    }

    public String getMedicalCardNo() {
        return medicalCardNo;
    }

    public void setMedicalCardNo(String medicalCardNo) {
        this.medicalCardNo = medicalCardNo;
    }

    public String getCancelRemark() {
        return cancelRemark;
    }

    public void setCancelRemark(String cancelRemark) {
        this.cancelRemark = cancelRemark;
    }

    public Integer getSubHospitalId() {
        return subHospitalId;
    }

    public void setSubHospitalId(Integer subHospitalId) {
        this.subHospitalId = subHospitalId;
    }
}